import { Construct } from "constructs";
import { InternalApiGateway, InternalApiGatewayProps } from "./internal-apigateway";
/**
 * Properties for InternalService
 */
export interface InternalWebsiteProps extends InternalApiGatewayProps {
    /**
     * Enable/disable automatic sync of the website`s sources to the S3bucket
     *
     * @default true
     */
    readonly enableSourceDeployment?: boolean;
    /**
     * Path of website folder containing the website`s sources
     */
    readonly sourcePath: string;
    /**
     * Name of s3 bucket to use for the website deployment
     */
    readonly bucketName?: string;
    /**
     * Name of html index document used for the website
     *
     * @default index.html
     */
    readonly websiteIndexDocument?: string;
}
export declare class InternalWebsite extends InternalApiGateway {
    constructor(scope: Construct, id: string, props: InternalWebsiteProps);
}
